Bug 74667 - Data Analysis Toolkit - Regression
Summary: Data Analysis Toolkit - Regression
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.2.0 target:5.1.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-07 12:19 UTC by Tomaz Vajngerl
Modified: 2017-07-13 09:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2014-02-07 12:19:22 UTC
Add missing "Regression" function from Data Analysis Toolkit.
Comment 1 zaxebo zaxebo 2014-03-31 23:03:36 UTC
a suggestion:
the UI's dialog box should have drop down for selecting "type of the regression" to be fit on data range. For now, this drop down box wil contain "Linear Regression" option, so that later on various additional regressions can be added in the same dialog box.
Comment 2 zaxebo zaxebo 2014-11-24 00:50:24 UTC
the relevant url for implementing  regression in libreoffice is at
https://help.libreoffice.org/Chart/Trend_Lines

This above url lists how to implement following type of regressions in libreoffice:

   a) The linear regression equation
   
   b)   The logarithm regression equation

   c) The exponential regression equation

   d) The power regression equation

   e) The polynomial regression equation

note: please add quadratic regression especially
Comment 3 zaxebo zaxebo 2014-11-24 00:53:56 UTC
(In reply to zaxebo zaxebo from comment #1)
> a suggestion:
> the UI's dialog box should have drop down for selecting "type of the
> regression" to be fit on data range. For now, this drop down box wil contain
> "Linear Regression" option, so that later on various additional regressions
> can be added in the same dialog box.

do not use the above GUI suggestion(cmment#1) from me, the better UI suggestion will be:

the suggestion:
the UI's dialog box should have checkboxes  for selecting "type of the regression" to be fit on data range. These checkboxes can contain options for "Linear Regression" ,"exponential regression" ,"power regression" option, SO THAT  multiple regressions can be fit on same data with in a single shot by selecting multiple checkboxes
Comment 4 zaxebo zaxebo 2015-01-31 01:52:45 UTC
this issue was sponsored at 
https://freedomsponsors.org/issue/625/data-analysis-toolkit-regression

if anybody solves this in entirety so that it can be merged with libreoffice 4.5 release , then i will pay him an amount mentioned at this sponsoring url
Comment 5 Commit Notification 2015-11-08 18:43:51 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be8a5d4495e787e1628bf053be5e3e56e0ea9565

tdf#74667 Regression dialog: linear, logarithmic, power

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Tomaz Vajngerl 2016-01-24 14:07:44 UTC
feedback from zaxebo:

in power regression, the slope and intercept formulas has been interchanged
  in front of "slope", it shows formula: {=EXP(INTERCEPT(LN($B$1:$B$7) , LN($A$1:$A$7)))}
  in front of "intercept", it shows formulas : {=SLOPE(LN($B$1:$B$7) , LN($A$1:$A$7))}
slope and intercept formula as shown above - should be interchanged.
Comment 7 Commit Notification 2016-01-24 14:11:25 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d67b0baaa4f0fb009b9ee6fbcf4618abf009f53

tdf#74667 interchange slope and intercept for power regression

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-01-25 16:12:42 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3dbf9cbba6e1d5917de9793a95eced4182777b8&h=libreoffice-5-1

tdf#74667 interchange slope and intercept for power regression

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-02-02 10:39:58 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be1f577daaa95d83e2442531b9302a089cc3a3d5&h=libreoffice-5-1-0

tdf#74667 interchange slope and intercept for power regression

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2016-09-15 21:16:37 UTC
Hi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Regards
Comment 11 Xisco Faulí 2017-07-13 09:23:18 UTC
Setting Assignee back to default. Please change it back if you're still working on this issue